#ifndef MPO_DELETER_H
#define MPO_DELETER_H

#include <boost/shared_ptr.hpp>

class MpoDeleter
{
protected:

	virtual void DeleteInstance() = 0;

	class deleter;
	friend class deleter;

	// THIS DELETE CODE FROM BOOST EXAMPLE
	class deleter
	{
	public:
		void operator()(MpoDeleter *p) { p->DeleteInstance(); }
	};
	// END BOOST EXAMPLE

};

#endif // MPO_DELETER_H
